SACCTMGR(1)

NAME
sacctmgr - Used to view and modify Slurm account information.

SYNOPSIS
sacctmgr [OPTIONS...] [COMMAND...]

DESCRIPTION
sacctmgr is used to view or modify Slurm account information. The account information is maintained within a database with the interface being provided by slurmdbd (Slurm Database daemon). This database can serve as a central storehouse of user and computer information for multiple computers at a single site. Slurm account information is recorded based upon four parameters that form what is refered to as an association. These parameters are user, cluster, partition, and account. user is the login name. cluster is the name of a Slurm managed cluster as specified by the ClusterName parameter in the slurm.conf configuration file. partition is the name of a Slurm partition on that cluster. account is the bank account for a job. The intended mode of operation is to initiate the sacctmgr command, add, delete, modify, and/or list association records then commit the changes and exit.

OPTIONS

-h, --help
    Print a help message describing the usage of ssacctmgr. This is equivalent to the help command.

--immediate
    commit changes immediately.

-n, --no_header
    No header will be added to the beginning of the output.

-o, --oneliner
    Report output one record per line. This is equivalent to the oneliner command.

-p, --parsable
    Output will be '|' delimited.

-q, --quiet
    Print no messages other than error messages. This is equivalent to the quiet command.

-s, --associations
    Use with show or list to display associations with the entity. This is equivalent to the associations command.

-v, --verbose
    Enable detailed logging. This is equivalent to the verbose command.

-V , --version
    Display version number. This is equivalent to the version command.

COMMANDS

add <ENTITY> <SPECS>
    Add an entity. Identical to the create command.

associations
    Use with show or list to display associations with the entity.

create <ENTITY> <SPECS>
    Add an entity. Identical to the add command.

delete ENTITY with SPECS
    Delete the specified entities.

exit
    Terminate sacctmgr. Identical to the quit command.

help
    Display a description of sacctmgr options and commands.

list <ENTITY> [with <SPECS>]
    Display information about the specified entities. By default, all entities are displayed. Identical to the show command.

modify <ENTITY> with <SPECS> set <SPECS>
    Modify an entity.

oneliner
    Output one record per line.

quiet
    Print no messages other than error messages.

quit
    Terminate the execution of sacctmgr. Identical to the exit command.

show <ENTITY> [with <SPECS>]
    Display information about the specified entities. By default, all entities are displayed. Identical to the list command.

verbose
    Enable detailed logging. This includes time-stamps on data structures, record counts, etc. This is an independent command with no options meant for use in interactive mode.

version
    Display the version number of sacctmgr.

!!  Repeat the last command.

ENTITIES

account
    A bank account, typically specified at job submit time using the --account= option. These may be arranged in a hierarchical fashion, for example accounts chemistry and physics may be children of the account science. The hierarchy may have an arbitrary depth.

association
    The entity used to group information consisting of four parameters: account, cluster, partition, and user.

cluster
    The ClusterName parameter in the slurm.conf configuration file, used to differentiate accounts from on different machines.

coordinator
    A special priviaged user usually an account manager or such that can add users or sub accounts to the account they are coordinator over. This should be a trusted person since they can change limits on account and user associations inside their realm.

qos Quality of Service (For use with MOAB only).

transaction
    List of transactions that have occured during a given time period.

user
    The login name.

SPECIFICATIONS FOR ACCOUNTS

Cluster=<cluster>
    Specific cluster to add account to. Default is all in system.

Description=<description>
    An arbitrary string describing an account.

Fairshare=<fairshare>
    Number used in conjunction with other accounts to determine job priority. To clear a previously set value use the modify command with a new value of -1.

MaxCPUSecs=<max cpu seconds>
    Maximum number of cpu seconds each job is able to use in this account. This is overridden if set directly on a user. Default is the cluster's limit. To clear a previously set value use the modify command with a new value of -1.

MaxJobs=<max jobs>
    Maximum number of jobs each user is allowed to run at one time in this account. This is overridden if set directly on a user. Default is the cluster's limit. To clear a previously set value use the modify command with a new value of -1.

MaxNodes=<max nodes>
    Maximum number of nodes each job is able to use in this account. This is overridden if set directly on a user. Default is the cluster's limit. To clear a previously set value use the modify command with a new value of -1.

MaxWall=<max wall>
    Maximum wall clock time each job is able to use in this account. This is overridden if set directly on a user. Default is the cluster's limit. <max wall> format is <min> or <min>:<sec> or <hr>:<min>:<sec> or <days>-<hr>:<min>:<sec> or <days>-<hr>. The value is recorded in minutes with rounding as needed. To clear a previously set value use the modify command with a new value of -1.

Name=<name>
    The name of a bank account.

Organization=<org>
    Organization to which the account belongs.

Parent=<parent>
    Parent account of this account. Default is no parent, a top level account.

QosLevel=<qos>
    Quality of Service jobs are to run at for this account. Now consisting of Normal, Standby, Expedite, and Exempt. This is overridden if set directly on a user.

SPECIFICATIONS FOR CLUSTERS

Fairshare=<fairshare>
    Number used in conjunction with other accounts to determine job priority. To clear a previously set value use the modify command with a new value of -1.

Name=<name>
    The name of a cluster. This should be equal to the ClusterName parameter in the slurm.conf configuration file for some Slurm-managed cluster.

MaxCPUSecs=<max cpu seconds>
    Maximum number of cpu seconds each job is able to use in this account. This is overridden if set directly on an account or user. Default is no limit. To clear a previously set value use the modify command with a new value of -1. MaxJobs=<max jobs> Maximum number of jobs each user is allowed to run at one time in this account. This is overridden if set directly on an account or user. Default is no limit. To clear a previously set value use the modify command with a new value of -1.

MaxNodes=<max nodes>
    Maximum number of nodes each job is able to use in this account. This is overridden if set directly on an account or user. Default is no limit. To clear a previously set value use the modify command with a new value of -1.

MaxWall=<max wall>
    Maximum wall clock time each job is able to use in this account. This is overridden if set directly on an account or user. Default is no limit. <max wall> format is <min> or <min>:<sec> or <hr>:<min>:<sec> or <days>-<hr>:<min>:<sec> or <days>-<hr>. The value is recorded in minutes with rounding as needed. To clear a previously set value use the modify command with a new value of -1.

QosLevel=<qos>
    Quality of Service jobs are to run at for this account. Now consisting of Normal, Standby, Expedite, and Exempt. This is overridden if set directly on an account or user.

SPECIFICATIONS FOR COORDINATOR

AccountsfP=<comma separated list of account names>
    Account name to add this user as a coordinator to.

Names=<comma separated list of user names>
    Names of coordinators.

SPECIFICATIONS FOR QOS

Description=<description>
    An arbitrary string describing an account.

Names=<qos>
    Names of qos.

SPECIFICATIONS FOR USERS

Account=<account>
    Account name to add this user to.

AdminLevel=<level>
    Admin level of user. Valid levels are None, Operator, and Admin.

Cluster=<cluster>
    Specific cluster to add user to the account on. Default is all in system.

DefaultAccount=<account>
    Identify the default bank account name to be used for a job if none is specified at submission time.

Fairshare=<fairshare>
    Number used in conjunction with other users in the same account to determine job priority. To clear a previously set value use the modify command with a new value of -1.

Name=<name>
    Name of user.

QosLevel=<qos>
    The Quality of Service jobs are to run at for this user using the account specified. Now consisting of Normal, Standby, Expedite, and Exempt.

MaxCPUSecs=<max cpu seconds>
    Maximum number of cpu seconds this user can use in each job using the account specified. To clear a previously set value use the modify command with a new value of -1.

MaxJobs=<max jobs>
    Maximum number of jobs this user can run at a given time using the account specified. This is overridden if set directly on a user. Default is the account's limit. To clear a previously set value use the modify command with a new value of -1.

MaxNodes=<max nodes>
    Maximum number of nodes this user can allocate in each job using the account specified. Default is the account's limit.

MaxWall=<max wall>
    Maximum wall clock time this user can use in each job using the account specified. Default is the account's limit. <max wall> format is <min> or <min>:<sec> or <hr>:<min>:<sec> or <days>-<hr>:<min>:<sec> or <days>-<hr>. The is recorded in minutes with rounding as needed. To clear a previously set value use the modify command with a new value of -1.

EXAMPLES
> sacctmgr create cluster=tux
> sacctmgr create account name=science fairshare=50
> sacctmgr create account name=chemistry parent=science fairshare=30
> sacctmgr create account name=physics parent=science fairshare=20
> sacctmgr create user name=adam cluster=tux account=physics .br
  fairshare=10
> sacctmgr modify user with name=adam cluster=tux account=physics .br
  set maxjobs=2 maxtime=30:00

COPYING
Copyright (C) 2008 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). LLNL-CODE-402394.

This file is part of SLURM, a resource management program. For details, see <https://computing.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurm.conf(5) slurmdbd(8)